Bug 136011 - Number in multi-line chart categories are not exported if chart is copied from Calc to Writer
Summary: Number in multi-line chart categories are not exported if chart is copied fro...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
4.4 all versions
Hardware: All All
: medium normal
Assignee: Leyan
URL:
Whiteboard: target:7.2.0 target:7.1.2
Keywords:
Depends on:
Blocks:
 
Reported: 2020-08-22 09:43 UTC by andis.lazdins
Modified: 2021-02-15 08:27 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
File with sample charts with text and numbers in category columns (23.01 KB, application/vnd.oasis.opendocument.spreadsheet)
2020-08-22 09:43 UTC, andis.lazdins
Details
Actual results when transfer charts containing numbers and text in category columns from Calc to Writer (21.95 KB, application/vnd.oasis.opendocument.text)
2020-08-22 09:45 UTC, andis.lazdins
Details

Note You need to log in before you can comment on or make changes to this bug.
Description andis.lazdins 2020-08-22 09:43:03 UTC
Description:
If there are numbers in multi-line chart categories, they are not exported and results in empty category column if chart is copied from Calc to Writer

Steps to Reproduce:
1.Open attached Calc file and select second chart with numbers in category column (B36:B4).
2. Create empty Writer file and paste there the previously copied chart.

Actual Results:
Only 1 category line (containing text) appears in the pasted chart. The category line with numbers disappeared. 
Check data table of the chart, the second column, where numbers suppose to appear, is empty.
If both category columns contains only text, transfer of data takes place without errors. This case is also represented in the attached file.

Expected Results:
Both columns with chart categories should be exported from Calc to Writer without errors in both cases - when categories contains numbers or text.


Reproducible: Always


User Profile Reset: No


OpenGL enabled: Yes

Additional Info:
This affects earlier LibeOffice versions, e.g. 6.4.
Comment 1 andis.lazdins 2020-08-22 09:43:58 UTC
Created attachment 164553 [details]
File with sample charts with text and numbers in category columns
Comment 2 andis.lazdins 2020-08-22 09:45:12 UTC
Created attachment 164554 [details]
Actual results when transfer charts containing numbers and text in category columns from Calc to Writer
Comment 3 Leyan 2020-12-16 21:31:05 UTC
I provided a fix here: https://gerrit.libreoffice.org/c/core/+/107858
Comment 4 Commit Notification 2021-02-11 15:00:48 UTC
Ouyang Leyan committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/4a9d257bec7964c0b611b2d422b7842fc5ee38e0

tdf#136011 convert numbers in categories to string during chart export

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2021-02-11 21:31:11 UTC
This is an old issue. Reproduced in

Version: 4.3.0.0.alpha1+
Build ID: c15927f20d4727c3b8de68497b6949e72f9e6e9e
Comment 6 Commit Notification 2021-02-11 23:42:42 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/14b135ca0434fda09966acf6fd14fab600bfde49

tdf#136011: sc: Add UItest

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2021-02-12 08:35:10 UTC
Ouyang Leyan committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/b493ee37f3347b442a28ccff272ed373149041b6

tdf#136011 convert numbers in categories to string during chart export

It will be available in 7.1.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.